- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

G::Identity Member List

This is the complete list of members for G::Identity, including all inherited members.

effective() | G::Identity | static
Identity(const std::string &login_name) | G::Identity | explicit
invalid() | G::Identity | static
isRoot() const | G::Identity |
operator!=(const Identity &) const | G::Identity |
operator==(const Identity &) const | G::Identity |
real() | G::Identity | static
root() | G::Identity | static
setEffectiveGroup(bool do_throw=true) | G::Identity |
setEffectiveGroup(SignalSafe) | G::Identity |
setEffectiveUser(bool do_throw=true) | G::Identity |
setEffectiveUser(SignalSafe) | G::Identity |
setRealGroup(bool do_throw=true) | G::Identity |
setRealUser(bool do_throw=true) | G::Identity |
str() const | G::Identity |